<?php

class Hook {

    public function seguridad() {
        $CI = &get_instance();
        $CI->load->helper('session');
        if ($CI->uri->segment(1) === 'api') {
            if ($CI->uri->segment(2) !== "auth" && $CI->uri->segment(2) !== "usuarios") {
                if (!check_id()) {
                    $data['message'] = 'Para ingresar a este sitio se debe iniciar sesión';
                    $this->_response_error($CI, $data, 401);
                }
            }
        }
    }

    private function _response_error($CI, $data_error, $status) {
        $data_error['home_url'] = $CI->config->item('base_url');
        if ($CI->config->item('rest_default_format') === NULL) {
            //en caso de que este accediendo directamente desde el navegador
            http_response_code($status);
            exit($CI->load->view('redirect_view', $data_error, TRUE));
        } else {
            //en caso de que sea peticion rest
            if ($status === 401) {
                $CI->response($data_error, $status);
            } else {
                $CI->response($data_error, $status);
            }
        }
        exit();
    }

}
